Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class DataExtractionFormatInfo

    java.lang.Object
      org.eclipse.birt.report.engine.api.DataExtractionFormatInfo

    public class DataExtractionFormatInfo

extends java.lang.Object

Constructor Summary
`DataExtractionFormatInfo(java.lang.String id, java.lang.String format, java.lang.String mimeType, java.lang.String name, java.lang.Boolean isHidden, org.eclipse.birt.core.framework.IConfigurationElement dataExtractionExtension)` Constructor of the class DataExtractionFormatInfo.

Method Summary
`org.eclipse.birt.core.framework.IConfigurationElement` | `getDataExtractionExtension()` Get configuration element of data extraction extension.
`java.lang.String` | `getFormat()` Get extraction format of the output file.
`java.lang.String` | `getId()` Get data extraction extension id.
`java.lang.String` | `getMimeType()` Get mime type of the output file.
`java.lang.String` | `getName()` Get data extraction extension name.
`java.lang.Boolean` | `isHidden()` Get whether format could be shown

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataExtractionFormatInfo

    public DataExtractionFormatInfo(java.lang.String id,
                                    java.lang.String format,
                                    java.lang.String mimeType,
                                    java.lang.String name,
                                    java.lang.Boolean isHidden,
                                    org.eclipse.birt.core.framework.IConfigurationElement dataExtractionExtension)

  Constructor of the class DataExtractionFormatInfo.

  Parameters:
    `id` -
    `format` -
    `mimeType` -
    `name` -
    `dataExtractionExtension` -

Method Detail

### getFormat

    public java.lang.String getFormat()

  Get extraction format of the output file.

  Returns:
    format

### getId

    public java.lang.String getId()

  Get data extraction extension id.

  Returns:
    id

### getMimeType

    public java.lang.String getMimeType()

  Get mime type of the output file.

  Returns:
    mimeType

### getName

    public java.lang.String getName()

  Get data extraction extension name.

  Returns:
    name

### getDataExtractionExtension

    public org.eclipse.birt.core.framework.IConfigurationElement getDataExtractionExtension()

  Get configuration element of data extraction extension.

  Returns:
    dataExtractionExtension

### isHidden

    public java.lang.Boolean isHidden()

  Get whether format could be shown

  Returns:
    hideFormat

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.